Subject: RE: [Simple] OPEN ISSUE: Basic vs. Digest authentication inMSRPrelaysextension

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Thu, 7 Jul 2005 15:30:31 -0400

One might also want to consider that logging information without the
consent of the parties, might also constitute an illegal wiretap.

Is this really the best architecture for logging?  Could not the
end-user client relay its messages to a log server when that is
required?  It would be better to have an explicit decision on that
rather than automatically assuming one.

Mike

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Aki Niemi
> Sent: Thursday, July 07, 2005 12:15 AM
> To: ext Adam Roach
> Cc: Cullen Jennings (fluffy); Rohan Mahy; Orit Levin; 
> Avshalom Houri; [email-masked]
> Subject: Re: [Simple] OPEN ISSUE: Basic vs. Digest 
> authentication inMSRPrelaysextension
> 
> Hi,
> 
> Since this seems to be the most detailed description of the 
> "multiple authoritive domains" use case that I've seen yet, 
> I'll adress it here inline.
> 
> ext Adam Roach wrote:
> > Imagine my employer is a public company, and they have a policy of 
> > logging all messages sent to and from my company-owned machine as a 
> > part of Sarbanes-Oxley record keeping. Alternately, imagine I'm a 
> > securities broker, and my company is required to log 
> messages I send 
> > as a part of SEC regulations. These are realistic use cases 
> that would 
> > administratively force me to send my messages through my 
> company's relay.
> 
> This is all understood, and my understaning is that MSRP, 
> like email and web traffic would be sent via the same VPN to 
> the company network, logged and only after that sent to the 
> outside world. I'm sure many of us have done or dealt with 
> this sort of thing for years now.
> 
> > Further imagine that, in the course of business, I travel 
> to customers' 
> > sites from time to time. Imagine those customers allow access only 
> > through designated proxies specific to the protocols they 
> allow to pass.
> > Perhaps they allow instant message sessions, but -- as a matter of 
> > administrative policy -- log all such inbound and outbound 
> messages, 
> > and consequently require the use of their MSRP relay. I'm 
> not going to 
> > argue that this is a reasonable thing for them to be doing; 
> however, I 
> > can cite two different customers that our company currently 
> has that 
> > have network configurations that are substantially similar to that 
> > description (modulo the use of proprietary IM protocols).
> 
> Right. I think this sort of configuration is very commonplace.
> 
> > I have spent
> > time on their networks, and been forced to operate through their IM 
> > relays to perform instant messaging sessions. It is unrealistic to 
> > expect that they will change their administrative policy 
> once MSRP is 
> > deployed, even if you and I think it's a stupid policy. In fact, I 
> > fully expect them to deploy MSRP relays that continue to 
> allow them to 
> > log instant messages as they currently are doing.
> 
> The key question to ask here is: What identity are you using 
> when working inside those companies?
> 
> If you are using an external identity, why on earth would 
> they be logging that traffic? What does Sarbanes-Oxley have 
> that mandates logging foreign comany communication?
> 
> I have a hard time buying this use case simply because I 
> don't believe logging is necessary in two or more places at 
> the same time. Unless this is an identity that has some 
> serious split personality issues...
> 
> > So you can say the use cases arise out of stupid regulations and 
> > stupid administrative policies -- and I can't disagree with you.  
> > However, I don't think it's realistic to assert that use cases 
> > involving relays in different administrative domains 
> actually won't arise.
> 
> I believe we started with that model, so I won't disagree 
> with you here. 
> However, the moidel we started with included 0 to 2 relays 
> per MSRP session, meaning that there were a maximum of two 
> different administrative domains in play.
> 
> We are now moving into a model that includes 0 to 4 or more 
> relays per MSRP session. Meaning there are possibly four or 
> more administrative domains involved in the MSRP session.
> 
> I am concerned about this constant feature creep, especially 
> since we are already a decade late with this work.
> 
> Cheers,
> Aki
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Rohan Mahy <[email-masked]>
Date: Thu, 7 Jul 2005 14:12:46 -0700

> consent of the parties, might also constitute an illegal wiretap.

As much as I dislike foreign relays, they don't constitute wiretapping 
by the Raven definition.

thx,
-r